<!-- RpPageHeader RpUrl=/index.html RpAccess=Realm2 RpObjectType=Static -->
<!DOCTYPE HTML>
<html>

<head>
  <base href="/hpilo/">
  <!--! GUI built June 22nd, 2022, 8:15:14 AM UTC -->
  <meta http-equiv=X-UA-Compatible content="IE=edge" />
  <meta http-equiv=Content-Type content="text/html; charset=utf-8" />
  <meta name=copyright content="© Copyright 2006-2022 Hewlett Packard Enterprise Development LP" />
  <title></title>
  <link href="/favicon.ico?v=4" rel="shortcut icon" />
  <link href=css/jquery-ui.css rel=stylesheet type=text/css media="all" />
  <link href=css/eov.css rel=stylesheet type=text/css media="all" />
  <!--[if lte IE 9]><link href="css/eov_lteIE9.css" rel="stylesheet" type="text/css" media="all" /><![endif]-->
  <link href=alt/css/style.css rel=stylesheet type=text/css media="all" />
  <script type=text/javascript src=js/json2.js></script>
  <script src=js/jquery.js></script>
  <script src=js/jquery.eventsource.js></script>
  <script src=js/jquery-ui.js></script>
  <script src=js/iLO.js type=text/javascript></script>
  <script type=text/javascript>
    var me = this,
      topPage = self;

    iLOGlobal.topPage = me.topPage;

    var SMHwin = {},
      EVENT_WATCHDOG_TIMEOUT_MS = 6e4,
      EVENT_WATCHDOG_RETRY_MAX = 3,
      eventWatchdogTimerID = 0,
      eventWatchdogRetries = 0;

    $.getJSON("lang/en/strings.js", function(data) {
      jQuery.fn.localize.data.strings = data, iLOGlobal.langData.en = data;
    });
  </script>
</head>

<body id=index class="loading content" style=overflow:hidden>
  <!--[if lt IE 11]>You are using an unsupported version of Internet Explorer (IE8 or lower). Please use the latest version of your web browser.<![endif]-->
  <noscript>
    <div class='signInWarning' style='display: block'> <br /> You must have JavaScript enabled in your browser. </div>
  </noscript>
  <div name=modalFrame id=modalFrame frameborder=0 scrolling=no noresize=noresize style=width:100%;height:100%;z-index:4>
    <div id=content>
    </div>
  </div>
  <script type=text/javascript>
    function startEventWatchDog() {
      stopEventWatchDog(), eventWatchdogTimerID = setTimeout(eventWatchDogTrigger, EVENT_WATCHDOG_TIMEOUT_MS);
    }

    function stopEventWatchDog() {
      eventWatchdogTimerID > 0 && (clearTimeout(eventWatchdogTimerID), eventWatchdogTimerID = 0);
    }

    function eventWatchDogTrigger() {
      eventWatchdogTimerID = 0, $.getJSON("/json/session_info").done(function(json) {
        eventWatchdogRetries = 0, showApplication(), iLOGlobal.isFlashPolling === !0 && refreshFlashPolling();
      }).fail(function(jqxhr, statusText, errorText) {
        switch (errorText) {
          case "Forbidden":
            doLogout({
              langKey: "login.sessionExp",
              text: "Session expired."
            }, 0);
            break;

          default:
            eventWatchdogRetries++, eventWatchdogRetries < EVENT_WATCHDOG_RETRY_MAX ? startEventWatchDog() : doLogout({
              langKey: "login.connectionLost",
              text: "The connection with the server has been terminated or reset."
            }, 0);
        }
      });
    }

    function stopAllPolling() {
      stopEventWatchDog(), eventWatchdogRetries = 0, $.eventsource("close", "*"), iLOGlobal.isFlashPolling = !1;
    }

    function doLogout(message, timeout) {
      me.stopAllPolling();
      var jsonObj = {
          method: "logout"
        },
        alt_err = !1;
      iLO.sendJsonRequest("logout", "POST", "json/login_session", jsonObj, function(o, fname, error) {
        iLO.favIcon(), alt_err = iLOGlobal.features.alt_mode_err;
        var tmpVersion = iLOGlobal.cache.version ? iLOGlobal.cache.version : "",
          tmpCN = iLOGlobal.cache.cn ? iLOGlobal.cache.cn : "";
        iLOGlobal.cache = {}, iLOGlobal.init(), iLO.setCookie("sessionKey", null), iLOGlobal.isApplication = !0,
          iLOGlobal.logout_message = jQuery.isPlainObject(message) ? message : null, iLOGlobal.login_delay = jQuery.existsNonNull(timeout) ? timeout : 0,
          iLOGlobal.topPage = me.topPage, iLOGlobal.cache.version = jQuery.existsNonNull(tmpVersion) ? tmpVersion : "",
          iLOGlobal.cache.cn = jQuery.existsNonNull(tmpCN) ? tmpCN : "", alt_err ? showAltModeErrorCases("logout") : showLogin();
      });
    }

    function showLogin(arg) {
      iLOGlobal.pollingDialogDoc = null;
      var fresh = jQuery.isValidString(arg) && "fresh" == arg ? !0 : !1,
        appFrame = $("#appFrame");
      if ($("#modalFrame").show(), $("iframe").hide(), fresh || !appFrame.attr('src').match("html/login.html")) appFrame.attr('src', baseURL + 'html/login.html'),
        appFrame.on('load', function() {
          setTimeout(function() {
            $("#modalFrame").hide(), appFrame.show();
          }, 1);
        });
      else try {
        window.frames.appFrame.updatePageFromIndex();
      } catch (e) {}
    }

    function esFlashListener(data) {
      if (data && jQuery.isPlainObject(data) && "undefined" != typeof data.state) switch ("COMPLETED" == data.state && (data.progress = 100),
        setTimeout(function() {
          $.publish("/flash_status", [data]);
        }, 1), data.state) {
        case "COMPLETED":
        case "ERROR":
          me.endFlashPolling(!1);
      }
    }

    function startFlashPolling() {
      1 != iLOGlobal.isFlashPolling && (iLOGlobal.isFlashPolling = !0, $.eventsource("close", "flash-event-source"),
        $.eventsource({
          label: "flash-event-source",
          url: "/sse/flash",
          dataType: "json",
          message: function(data) {
            me.esFlashListener(data);
          }
        }));
    }

    function endFlashPolling(onlyIfIdle) {
      me.setTimeout(function() {
        iLO.sendJsonRequest("flash_status", "GET", "json/flash_status", null, function(o, fname, error) {
          if ((!error || "success" == error) && jQuery.isPlainObject(o) && "undefined" != typeof o.state) {
            if (me.setTimeout(function() {
                me.jQuery.publish("/flash_status", [o]);
              }, 1), onlyIfIdle && "IDLE" != o.state && "ERROR" != o.state && "COMPLETED" != o.state) return 0 == iLOGlobal.isFlashPolling && me.refreshFlashPolling(),
              !1;
            try {
              if (iLOGlobal.content.toString().indexOf("admin_firmware.html") > -1 || iLOGlobal.content.toString().indexOf("admin_language.html") > -1) return !1;
            } catch (e) {}
            $.eventsource("close", "flash-event-source"), iLOGlobal.isFlashPolling = !1;
          }
        });
      }, 2e3);
    }

    function refreshFlashPolling() {
      iLOGlobal.isFlashPolling = !1, me.startFlashPolling();
    }

    function pauseFlashPolling() {
      iLOGlobal.isFlashPolling = !1;
    }

    function startSsePolling() {
      startEventWatchDog(), $.eventsource({
        label: "ui-event-source",
        url: "/sse/ui",
        dataType: "json",
        error: function(data) {
          me.esErrorListener(data);
        }
      });
    }

    function esErrorListener(event) {
      $.eventsource("removeEventListener", "ui-event-source", "error"), $.eventsource("addEventListener", "ui-event-source", "error", function(data) {
        startEventWatchDog(), data && 2 === data.eventPhase && (!data.target || data.target && 0 != data.target.readyState) && data.status && 403 == data.status && me.doLogout({
          langKey: "login.sessionExp",
          text: "Session expired."
        }, 0);
      }), $.eventsource("addEventListener", "ui-event-source", "message", function(data) {
        data && jQuery.isPlainObject(data) && (me.jQuery.publish("/ui_events", [
            [data]
          ]),
          jQuery.existsNonNull(data.event) && (me.jQuery.publish("/ui_events/" + data.event, [data]),
            "EVT_ILO_RESET_PULSE" === data.event ? me.doLogout({
              langKey: "adm_firmware.waitMsg2",
              text: "iLO is being reset. <br/><br/>If an SSL or other connection error message is displayed, please clear your browser cache, restart your browser and re-login.<br/>"
            }, 60) : "EVT_FLASH_START" === data.event ? me.startFlashPolling() : "EVT_FLASH_END" === data.event && me.endFlashPolling(!1)));
      });
    }

    function showApplication() {
      startSsePolling(), $("#appFrame").attr('src', baseURL + 'html/application.html').on('load', function() {
        $("#modalFrame").hide(), $("#appFrame").show();
      });
    }

    function showFWUpdate() {
      iLO.setCookie("altModeProb", iLOGlobal.features.alt_mode.toString()), $("#appFrame").attr('src', baseURL + 'html/admin_firmware.html').on('load', function() {
        $("#modalFrame").hide(), $("#appFrame").show();
      });
    }

    function getAltModePage() {
      var page = null,
        c = {};
      switch (c = iLOGlobal.constants.alt_mode, iLOGlobal.features.alt_mode) {
        case c.HP:
        case c.Enabled:
          page = 'login.html';
          break;

        case c.ProfileError:
          page = 'rebranding_profile_problem.html';
          break;

        case c.NANDError:
          page = 'rebranding_nand_problem.html';
          break;

        default:
          jQuery.log("index.html unknown alt_mode value=" + alt_mode), page = 'login.html';
      }
      return page = 'html/' + page;
    }

    function showAltModeErrorCases(arg) {
      var page = getAltModePage(),
        fromLogout = jQuery.isValidString(arg) && "logout" == arg ? !0 : !1;
      if (fromLogout) {
        document.body.rows = "*,0,0,0";
        var appFrame = $("#appFrame");
        appFrame.attr('src').match(page) || appFrame.attr('src', baseURL + page);
        try {
          window.frames.appFrame.updateRebrandingProb();
        } catch (e) {}
      } else {
        var newLoc = baseURL + page;
        "about:blank" != modalFrame.location && modalFrame.location != newLoc && (document.body.rows = "*,0,0,0",
          modalFrame.location.replace(newLoc));
      }
    }

    function clearApplet() {
      try {
        frames.appletFrame.location.replace(baseURL + 'html/blank.html');
      } catch (e) {}
    }

    function openSMH(targetURL) {
      me.SMHwin = window.open(targetURL, "SMH");
      try {
        me.SMHwin.opener = null;
      } catch (e) {
        jQuery.log("error opening SMH " + e.message);
      }
    }

    var baseURL = iLO.getBaseUrl();

    -
    1 !== baseURL.indexOf('/', baseURL.length - 1) && (baseURL = baseURL.substring(0, baseURL.length - 1)),
      baseURL += encodeURI(window.location.pathname), baseURL = baseURL.substring(0, baseURL.lastIndexOf('/') + 1);

    var sessionUrl = jQuery.cookies.get('sessionUrl');

    sessionUrl && "" != sessionUrl && sessionUrl == location.href ? (jQuery.cookies.set("sessionUrl", ""),
        location.replace(encodeURI(location.href))) : jQuery.cookies.set("sessionUrl", escape(location.href)),
      sessionUrl = jQuery.cookies.get('sessionUrl'), $(document).ready(function() {
        iLO.init({
          isApplication: !0
        });
        if (iLO.getCookie("sessionKey") || iLOGlobal.cache.session_key) {
          var alt_mode_cookie = parseInt(iLO.getCookie("altModeProb"), 10);
          alt_mode_cookie && iLO.setAltMode({
            alt_mode: parseInt(alt_mode_cookie, 10)
          }), iLOGlobal.features.alt_mode_en && iLOGlobal.features.alt_mode == iLOGlobal.constants.alt_mode.ProfileError ? showFWUpdate() : showApplication();
        } else showLogin("fresh");
        clearApplet();
      });
  </script><!--<![endif]--><iframe name=appFrame id=appFrame frameborder=0 scrolling=no noresize=noresize style=display:none;width:100%;height:100% allowfullscreen=allowfullscreen webkitallowfullscreen mozallowfullscreen oallowfullscreen msallowfullscreen></iframe>
  <iframe name=ircFrame id=ircFrame frameborder=0 scrolling=no noresize=noresize style=display:none></iframe>
</body>

</html>